BANK FAMA - Bug #1102

Angka Gaji Pokok di payroll Data tidak sesuai dengan yang ada di Payroll Result
04/27/2022 04:58 PM - ikawati basri

Status: Closed Start date: 04/27/2022
Priority: High Due date: 05/13/2022
Assignee: ikawati basri % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.50 hours
Description

Mba Yooma,

Employee di Bank Fama New (kode 1000) Gaji Pokok employee yang angkanya keriting, Setelah dilakukan running payroll, gaji
pokoknya bergerak angka di beberapa digit belakang misal:

employee ID 20081007
Gaji pokok di payroll Data: 3743333
Gaji Pokok di Payroll Result januari 2022 : 3743161

employee ID 19930300
Gaji pokok di payroll Data: 48493642.8375
Gaji Pokok di Payroll Result januari 2022 : 48493642

App: http://remote.minovais.com:61129/
Database: MINOVAIS-SERVER\MSSQLSERVER2019 - [MinovaES_BankFama_Prod]

Mohon bantuannya untuk dicekin mba penyebab masalahnya di mana karena sudah lihat settingan CU0300 dilihat mba yaya juga
tetap error angka yang keluar. Terimakasih.

Salam,

ika

History

#1 - 04/27/2022 04:59 PM - ikawati basri

ikawati basri wrote:
Mba Yooma,

Employee di Bank Fama Interational (kode 1000) Gaji Pokok employee yang angkanya keriting, Setelah dilakukan running payroll, gaji pokoknya
bergerak angka di beberapa digit belakang misal:

employee ID 20081007
Gaiji pokok di payroll Data: 3743333
Gaiji Pokok di Payroll Result januari 2022 : 3743161

employee ID 19930300
Gaiji pokok di payroll Data: 48493642.8375
Gaiji Pokok di Payroll Result januari 2022 : 48493642

App: http:/remote.minovais.com:61129/
Database: MINOVAIS-SERVER\MSSQLSERVER2019 - [MinovaES_BankFama_Prod]

Mohon bantuannya untuk dicekin mba penyebab masalahnya di mana karena sudah lihat settingan CU0300 dilihat mba yaya juga tetap error
angka yang keluar. Terimakasih.

Salam,

ika

#2 - 04/28/2022 11:40 AM - Tri Rizqiaty

07/05/2025 12



http://remote.minovais.com:61129/
http://remote.minovais.com:61129/

- File clipboard-202204281138-Idf6m.png added
- File clipboard-202204281140-kup4q.png added

- Status changed from New to Developing

Fixing :

1. untuk case emp 19930300 : add di table PHRPYCUO0307 : parameter HR_PY_TAX_ROUNDING_DIRECTION = N, sesuai gambar dibawah

PEP Reunding Decimal { 10"value)
PKP Reunding Direction [D=Down;U=Up;N=Normal]

SELECT TOP (200) StartDate, EndDate, PayrollParameter, Yalue, Notes, CreateBy, CreateDate, ChangeBy, ChangeDate
FROM PHRPYCU0307
WHERE (PayrollParameter LIKE '%round:)
C penambahan parameter ini j
StartDate EndDate PayrollParameter Value MNotes
3 20160101 99991231 HR_PY_TAX_ROUMNDING_DIRECTION N
20160101 99991231 TAXROUNDINGDECIMAL 3
20160101 99991231 TAXROUNDINGDIRECTION D
™ NULL NULL MNULL NULL NULL

2. untuk case emp 20081007 : sudah benar, hanya karena hitungan periode 16-15, sesuai gambar terlampir

lemployee id : 20081007
GajiDes 3743000 16
\Gajilan 3743333 15

31 193187
31 1811290
3743161

notes : untuk case pertama itu, mohon dicek diemployee lain yg awalny sudah benar, karena takut terkena impactny, makasih

#3 - 04/28/2022 11:41 AM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to ikawati basri

#4 - 04/28/2022 03:48 PM - ikawati basri
- Status changed from QA Test to Closed
